Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath
Interface WhitespaceStrippingElementMatcher

All Known Implementing Classes:
  ElemTemplateElement

public interface WhitespaceStrippingElementMatcher

A class that implements this interface can tell if a given element should strip whitespace nodes from it's children.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Method Summary
`boolean` | `canStripWhiteSpace()` Get information about whether or not whitespace can be stripped.
`boolean` | `shouldStripWhiteSpace(XPathContext support, org.w3c.dom.Element targetElement)` Get information about whether or not an element should strip whitespace.

Method Detail

### shouldStripWhiteSpace

    public boolean shouldStripWhiteSpace(XPathContext support,
                                         org.w3c.dom.Element targetElement)
                                  throws javax.xml.transform.TransformerException

  Get information about whether or not an element should strip whitespace.

  Parameters:
    `support` - The XPath runtime state.
    `targetElement` - Element to check
  Returns:
    true if the whitespace should be stripped.
  Throws:
    javax.xml.transform.TransformerException -
  See Also:
    strip in XSLT Specification

### canStripWhiteSpace

    public boolean canStripWhiteSpace()

  Get information about whether or not whitespace can be stripped.

  Returns:
    true if the whitespace can be stripped.
  See Also:
    strip in XSLT Specification

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference